Quotes
List Quote Versions
List version snapshots for a quote’s sample stage.
GET
/
api
/
v1
/
quotes
/
{quote_id}
/
versions
List Quote Versions
curl --request GET \
--url https://vinmake-erp.onrender.com/api/v1/quotes/{quote_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/api/v1/quotes/{quote_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/api/v1/quotes/{quote_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"quoteId": "<string>",
"versionNumber": 123,
"status": "<string>",
"totalAmount": 123,
"currency": "<string>",
"changeDescription": "<string>",
"isFinal": false,
"finalizedAt": "<string>",
"finalizedById": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Query Parameters
Response
Successful Response
Previous
Create Quote VersionCreate a new draft version within a stage from an existing version snapshot.
Next
⌘I
List Quote Versions
